import request from '@/utils/request'

// 工程监理--设备进场列表
export function apiSupervisionDeviceEntryLists(params: any) {
    return request.get({ url: '/supervision_work.supervision_device_entry/lists', params })
}

// 添加工程监理--设备进场
export function apiSupervisionDeviceEntryAdd(params: any) {
    return request.post({ url: '/supervision_work.supervision_device_entry/add', params })
}

// 编辑工程监理--设备进场
export function apiSupervisionDeviceEntryEdit(params: any) {
    return request.post({ url: '/supervision_work.supervision_device_entry/edit', params })
}

// 删除工程监理--设备进场
export function apiSupervisionDeviceEntryDelete(params: any) {
    return request.post({ url: '/supervision_work.supervision_device_entry/delete', params })
}

// 工程监理--设备进场详情
export function apiSupervisionDeviceEntryDetail(params: any) {
    return request.get({ url: '/supervision_work.supervision_device_entry/detail', params })
}


// 工程监理--设备进场详情
export function apisupervision_device_entry_detail(params: any) {
    return request.get({ url: '/supervision_work.supervision_device_entry_detail/lists', params })
}

export function apisupervision_device_entry_detail_delete(params: any) {
    return request.post({ url: '/supervision_work.supervision_device_entry_detail/delete', params })
}
